Bug 13092 - REGRESSION: Search field not aligned with Go button on Apple Store Locator
Summary: REGRESSION: Search field not aligned with Go button on Apple Store Locator
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.apple.com/buy/locator/
Keywords: InRadar, NeedsReduction, Regression
Depends on:
Blocks:
 
Reported: 2007-03-16 01:49 PDT by mitz
Modified: 2008-02-11 01:06 PST (History)
2 users (show)

See Also:


Attachments
Screenshot (7.95 KB, image/png)
2007-03-16 01:50 PDT, mitz
no flags Details
Screenshot from Safari 2 (expected rendering) (8.08 KB, image/png)
2007-03-16 01:50 PDT, mitz
no flags Details
Reduction (208 bytes, text/html)
2007-03-16 02:18 PDT, mitz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2007-03-16 01:49:47 PDT
The search field on the left is not aligned with the Go button. Comparing with Safari 2.0, the entire section containing the search field and the button is shorter in TOT. The button is at the same height, but the field has moved up.
Comment 1 mitz 2007-03-16 01:50:18 PDT
Created attachment 13660 [details]
Screenshot
Comment 2 mitz 2007-03-16 01:50:47 PDT
Created attachment 13661 [details]
Screenshot from Safari 2 (expected rendering)
Comment 3 mitz 2007-03-16 02:18:56 PDT
Created attachment 13662 [details]
Reduction

Layout in TOT is saner. The Store Locator has a rule to push the button down by 6px to account for the inherent misalignment in Safari 2.0 in <http://www.apple.com/buy/locator/styles.css>:

html>body*#sidebar .search button.go{ position:relative; top:6px; }

(That selector matches in WebKit but not in Gecko).

This bug probably belongs in the evangelism department.
Comment 4 Mark Rowe (bdash) 2007-03-16 05:21:31 PDT
<rdar://problem/5068261>
Comment 5 Mark Rowe (bdash) 2007-03-23 05:49:33 PDT
Moving to evangelism and lowering priority to take it out of the P1 list.
Comment 6 Robert Blaut 2008-02-11 01:06:51 PST
Tested with Webkit r30123 and the bug is already fixed.